Draft Wire

From FreeCAD Documentation
Revision as of 20:14, 5 November 2018 by Vocx (talk | contribs) (Better description of keys)

Draft Wire

Menu location
Draft → Wire
Workbenches
Draft, Arch
Default shortcut
W I
Introduced in version
-
See also
Draft Line, Draft BSpline

Description

The Wire tool creates a polyline (sequence of lines made of several segments). It uses the Draft Linestyle set on the Draft Tray. The Wire tool behaves exactly like the Draft Line tool, except that it allows you to enter more than two points.

How to use

  1. Press the Draft Wire button, or press W then I keys
  2. Click a first point on the 3D view, or type a coordinate
  3. Click additional points on the 3D view, or type a coordinate
  4. Press Esc or the Cancel button to complete the edition

Options

  • If several connected Draft Lines are selected when pressing the Draft Wire button, they will be turned into a wire and the command will exit. introduced in version 0.17 Note: the end points of the lines must be exactly touching or they won't merge. If necessary, manually adjust the Draft Coordinates of the line segments.
  • Press A or the Finish button to finish the wire, leaving it open.
  • Press O or the Close button to close the wire, that is, a segment will be added from the last point to the first one to form a face. At least three points are required to form a face.
  • Press W or the Wipe button to remove the line segments already placed, but keep editing the wire from the last point.
  • Press U or the Set WP button to adjust the current working plane in the orientation of the last point.
  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component.
  • Press R or click the checkbox to toggle relative mode. If relative mode is on, the coordinates of the next point are relative to the last one; if not, they are absolute, taken from the origin (0,0,0).
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the Wire tool will restart after you finish the wire, allowing you to draw another one without pressing the tool button again.
  • Press L or click the checkbox to toggle filled mode. If filled mode is on, a closed wire will create a filled face (DataMake Face true); if not, the closed wire will not make a face (DataMake Face false).
  • Press Ctrl while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press Shift while drawing to constrain your next point horizontally or vertically in relation to the last one.
  • Press Ctrl+Z or press the Undo button to undo the last point.
  • Press Esc or the Cancel button to abort the current command; line segments already placed will remain.
  • Closed wires, when in "Flat Lines" display mode, can display a hatch pattern, by setting their "Pattern" property below.

Properties

  • DataClosed: Specifies if the wire is closed or not
  • DataChamfer Size: Specifies the size of chamfered corners
  • DataFillet Radius: Specifies a curvature radius to give to the nodes of the wire
  • DataSubdivisions: Divides the segments of the wire with the given number of subdivisions introduced in version 0.16
  • DataMake Face: Fills the wire with a face if it is closed
  • ViewEnd Arrow: Shows an arrow symbol at the last point of the wire, so it can be used as an annotation leader line
  • ViewPattern: Specifies a hatch pattern to fill the wire with (Closed Wire)
  • ViewPattern Size: Specifies the size of the hatch pattern

See also Draft Pattern.

Scripting

See: FreeCAD Scripting Basics for more information

The Wire tool can be used in macros and from the Python console by using the following function:

Wire = makeWire(pointslist, closed=False, placement=None, face=None, support=None)
Wire = makeWire(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Creates a Wire object with the given list of points, pointslist
  • Each point in the list is defined by its FreeCAD.Vector
    • Alternatively, the input can be a Part.Wire, from which points are extracted
  • If closed is True, or if the first and last points are identical, the wire is closed
  • If face is True, and the wire is closed, the wire will make a face, that is, it will appear filled
  • It uses the current Draft Linestyle

Example:

import FreeCAD, Draft
p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1, 1, 0)
p3 = FreeCAD.Vector(2, 0, 0)
Wire = Draft.makeWire([p1, p2, p3], closed=True)